Update
Updates an external storage policy by name or ID. Credentials can only be rotated by providing both access_key_id and secret_access_key.
Authentication
Path parameters
Query parameters
The name of the project containing the external storage policy. Only used when nameOrId is a name.
Request
The name of the external storage policy. Must be snake_case, start with a lowercase letter and be unique within the project.
The S3-compatible endpoint URL that artifacts are uploaded to. Must be a publicly routable HTTPS URL without embedded credentials.
The region of the bucket. Set to null when the endpoint doesn’t require a region.
Access key ID used to authenticate with the endpoint. Must be provided together with secret_access_key.
Secret access key used to authenticate with the endpoint. Must be provided together with access_key_id.